#
# spec file for package db40 (Version 4.0.14)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           db40
BuildRequires:  gcc-c++
Summary:        Berkeley DB Database Library Version 4.0
Version:        4.0.14
Release:        165.2
Source:         db-%{version}.tar.bz2
Patch:          db-%{version}.dif
Patch1:         autoconf.dif
Patch2:         locker-leak-fix.dif
Patch3:         db4-4.0.14-recover.patch
URL:            http://www.sleepycat.com
License:        BSD
Group:          System/Libraries
Provides:       db-extensions
Obsoletes:      db-extensions
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}

%description
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.

This package contains the necessary runtime libraries for the old 4.0
release.



%debug_package
%package devel
Summary:        Development Include Files and Libraries for the old Berkeley DB library Version 4.0
Group:          System/Libraries
Provides:       db-extensions-devel
Obsoletes:      db-extensions-devel
Prefix:         %{_prefix}
Requires:       db40 = %{version}

%description devel
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.

This package contains the header files, libraries, and documentation
for building programs which need the old Berkeley DB version 4.0. If
possible programs should be converted to work with the new Berkeley DB
version, version 4.0 will be removed in a future release.



%prep
%setup -n db-%{version}
%patch
%patch1
%patch2
%patch3

%build
cd build_unix
%{?suse_update_config:%{suse_update_config -f dist}}
cd ../dist
./s_config
cd ../build_unix
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
CC=gcc
export CFLAGS CXXFLAGS CC
../dist/configure --prefix=%{_prefix} \
	--libdir=%{_libdir} --enable-compat185 --disable-dump185 \
	--enable-shared --enable-static --enable-rpc \
	--enable-cxx %{_target_cpu}-suse-linux
make LIBXSO_LIBS="-L%{_libdir} -lstdc++"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/db40
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}
(cd build_unix;
 make prefix=${RPM_BUILD_ROOT}%{_prefix} libdir=${RPM_BUILD_ROOT}%{_libdir} install)
# make ldd happy:
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libdb*4.0.so
# Fix header file installation
mv ${RPM_BUILD_ROOT}%{_includedir}/*.h ${RPM_BUILD_ROOT}%{_includedir}/db40
# remove dangling tags symlink from examples.
rm -f examples_cxx/tags
rm -f examples_c/tags
# Move documentation to the right directory
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/db40
mv $RPM_BUILD_ROOT%{_prefix}/docs/* $RPM_BUILD_ROOT/%{_defaultdocdir}/db40/
cp -a examples_cxx examples_c $RPM_BUILD_ROOT/%{_defaultdocdir}/db40/
cp -a LICENSE README $RPM_BUILD_ROOT/%{_defaultdocdir}/db40/
rm -rf $RPM_BUILD_ROOT/%{_defaultdocdir}/db40/examples{_c,_cxx}
rm -rf $RPM_BUILD_ROOT/%{_defaultdocdir}/db40/utility
rm -rf $RPM_BUILD_ROOT/%{_defaultdocdir}/db40/api_{tcl,java}
rm -rf $RPM_BUILD_ROOT/usr/bin/*
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb-4.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb_cxx-4.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb_cxx.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb_cxx.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%dir %{_defaultdocdir}/db40
%doc %{_defaultdocdir}/db40/LICENSE
%doc %{_defaultdocdir}/db40/README
%doc %{_defaultdocdir}/db40/index.html
%doc %{_defaultdocdir}/db40/images
%doc %{_defaultdocdir}/db40/sleepycat
%{_libdir}/libdb-4.0.so
%{_libdir}/libdb_cxx-4.0.so

%files devel
%defattr(-,root,root)
%doc %{_defaultdocdir}/db40/api_c
%doc %{_defaultdocdir}/db40/api_cxx
%doc %{_defaultdocdir}/db40/ref
%doc %{_defaultdocdir}/db40/reftoc.html
%dir %{_includedir}/db40
%{_includedir}/db40/db.h
%{_includedir}/db40/db_185.h
%{_includedir}/db40/db_cxx.h
%{_includedir}/db40/cxx_common.h
%{_includedir}/db40/cxx_except.h
%{_libdir}/libdb-4.0.a
%{_libdir}/libdb_cxx-4.0.a
%{_libdir}/libdb-4.0.la
%{_libdir}/libdb_cxx-4.0.la

%changelog -n db40
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- remove unpackaged symlinks from build root
* Fri Apr 16 2004 - kukuk@suse.de
- Let the compiler decide about noexecstack (for s390)
* Mon Jan 12 2004 - kukuk@suse.de
- Compile with noexecstack
- Remove /bin/sh dependency
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Wed Jan 07 2004 - kukuk@suse.de
- Compile with -fno-strict-aliasing
* Sat Sep 27 2003 - kukuk@suse.de
- Don't build db_dump185
* Wed Sep 17 2003 - kukuk@suse.de
- Obsolete db-extensions
* Thu May 15 2003 - kukuk@suse.de
- Remove api_tcl/api_java documentation
* Tue May 13 2003 - kukuk@suse.de
- Remove not included files from buildroot.
* Fri May 09 2003 - kukuk@suse.de
- Rename package to db40 for compatibility with old binaries
* Thu Jan 23 2003 - bg@suse.de
- Fix mutex support for hppa
  (patch by Keith Bostic, bostic@sleepycat.com)
* Thu Jan 09 2003 - kukuk@suse.de
- Add db4-4.0.14-recover.patch: fix endless loop with db_recover
* Mon Sep 16 2002 - rhafer@suse.de
- Added locker-leak-fix.dif, which fixes a resource leak triggerd
  by openldap2 and larger databases. For more details see:
  www.openldap.org/its/index.cgi/Software%%20Bugs?id=2040
* Sat Aug 31 2002 - schwab@suse.de
- Fix last libstdc++ change for real.
* Fri Aug 30 2002 - kukuk@suse.de
- Fix last libstdc++ change
* Tue Aug 27 2002 - pthomas@suse.de
- Explicitely link libdb_cxx against libstdc++. This is a hack
  until libtool 1.4e is released.
- Directly pass RPM_OPT_FLAGS as CFLAGS and CXXFLAGS.
* Thu Jul 25 2002 - rhafer@suse.de
- fix for mutex support on s390 (by bk@suse.de)
- rebuild configure script during build (using s_conf)
* Wed Jul 03 2002 - uli@suse.de
- added mutex support for x86-64
* Fri May 10 2002 - kukuk@suse.de
- Add patch to fix missing mutex support on Alpha, SPARC and s390
* Fri May 03 2002 - kukuk@suse.de
- correct calculation of needed space for shalloc [Bug #12096]
* Mon Jan 21 2002 - kukuk@suse.de
- Update to db 4.0.14
- put all documenation into /usr/share/doc/packages/db, so html
  index works.
* Thu Nov 15 2001 - ro@suse.de
- added patch 3.3.11.1
  Fix a bug in DB 1.85 compatibility mode that could cause
  DB 1.85 applications to fail to compile
* Mon Nov 05 2001 - adrian@suse.de
- update to 3.3.11
- move optional documentation to db-extensions-devel package
* Fri Jul 20 2001 - kukuk@suse.de
- Fix build on multilib archs
* Wed Jun 06 2001 - bk@suse.de
- add suse_update_config for s390x
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Sat Mar 31 2001 - schwab@suse.de
- Build static and shared libraries in one go.
* Mon Nov 06 2000 - kukuk@suse.de
- Add /usr/include/db_185.h and /usr/include/db_cxx.h
* Wed Oct 25 2000 - kukuk@suse.de
- Install static library versions, too
* Sat Oct 21 2000 - kukuk@suse.de
- Fix documentation
- Add /usr/include/db.h
* Wed Oct 18 2000 - kukuk@suse.de
- initial version
